List Access Groups

Returns a list of all access groupsarrow-up-right.

Returns a list of all access groups, filtered by user identity.

Code:

await seam.acs.accessGroups.list({
  acs_system_id: "1b529056-1b04-450b-b3da-016b65a5017f",
  acs_user_id: "ebe506e1-33ba-44e8-892b-2d12c1709cd8",
  user_identity_id: "9b1deda4-07e2-4e90-acde-5724b6ab7305",
});

Output:

[
  {
    "access_group_type": "salto_ks_access_group",
    "access_group_type_display_name": "Salto KS Access Group",
    "acs_access_group_id": "3f448826-9875-4947-9519-e468090a4f7d",
    "acs_system_id": "1b529056-1b04-450b-b3da-016b65a5017f",
    "connected_account_id": "daba7bd0-edb6-4bb9-a70b-f9ae08a0e301",
    "created_at": "2025-06-15T16:54:17.946453Z",
    "display_name": "Main Group",
    "external_type": "salto_ks_access_group",
    "external_type_display_name": "Salto KS Access Group",
    "is_managed": true,
    "name": "My Access Group",
    "pending_mutations": [],
    "warnings": [],
    "workspace_id": "ac19352c-869a-4209-9ce7-44c740a8b5d0"
  }
]
chevron-rightAuthentication Methodshashtag
  • API key

  • Personal access token Must also include the seam-workspace header in the request.

To learn more, see Authenticationarrow-up-right.

Request Parameters

acs_system_id String

ID of the access system for which you want to retrieve all access groups.


acs_user_id String

ID of the access system user for which you want to retrieve all access groups.


search String

String for which to search. Filters returned access groups to include all records that satisfy a partial match using name or acs_access_group_id.


user_identity_id String

ID of the user identity for which you want to retrieve all access groups.


Response

circle-check

Examples

List access groups for an access system user

Returns a list of all access groups, filtered by access system user.

Code:

Output:

Last updated

Was this helpful?